<?php

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

if(isset($_GET['id'])){
	$id = intval($_GET['id']);
	}else{
		header("Location: index.php");
		}

$s =  mysql_result(mysql_query('SELECT COUNT(id) FROM `user` WHERE `id` = '.$id.' LIMIT 1'),0);

if($s==0){
	header("Location: /index.php");
	exit;
	}

$nick = mysql_result(mysql_query("SELECT `nick` FROM `user` WHERE `id` = '".$id."' LIMIT 1"),0);
$set['title']= $nick.' в сообществах &amp; '.$_SERVER['HTTP_HOST'];
include_once '../sys/inc/thead.php';

title();
aut();

echo '<div class="menu">';

if($id==0 || $id<0){
	echo '<div class="err">Иди нахуй! Хакер недоношеный!</div>';
	}else{

$k_users = mysql_num_rows(mysql_query("SELECT `id` FROM `community_user_incomm` WHERE `uid` = '".$id."'"));
$k_page = k_page($k_users,$set['p_str']);
$page = page($k_page);
$start = $set['p_str']*$page-$set['p_str'];

if($k_users == 0){
	echo 'Обитатель не входит ни в одно сообщество<br/>';
	}

$q = mysql_query("SELECT * FROM `community_user_incomm` WHERE `uid` = '".$id."' ORDER BY `time` DESC LIMIT $start,$set[p_str]");
echo '<b>'.$nick.'</b> входит в сообщества:<br/>';
while($comm = mysql_fetch_array($q)){

if($num==1){
	echo '<div class="rowdown">';
	$num=0;
	}else{
		echo '<div class="rowup">';
		$num=1;
		}

$name_comm = mysql_fetch_array(mysql_query("SELECT * FROM `community_comm` WHERE `id` = '$comm[cid]' LIMIT 1"));
echo '&#187;&nbsp;<a href="comm.php?id='.$comm['cid'].'">'.esc(trim(stripcslashes(htmlspecialchars($name_comm['name'])))).'</a> ('.$comm['postov'].'/'.$comm['files'].')<br/>';
echo 'Дата вступления:  '.vremja($comm['time']).'<br/>';
echo 'Статус в сообществе: ';

if($comm['priv']==0){
	echo 'Пользователь<br/>';
	}else if($comm['priv']==1){
		echo 'Модератор<br/>';
		}else if($comm['priv']==2){
			echo 'Администратор<br/>';
			}

echo '</div>';
}

if(mysql_result(mysql_query("SELECT COUNT(id_author) FROM `community_comm` where `id_author` = '$id' LIMIT 1"),0)==1){
	$admin = mysql_fetch_array(mysql_query("SELECT * FROM `community_comm` WHERE `id_author` = '".$id."' LIMIT 1"));
	echo '<b>Cоздатель сообщества</b>: <a href="comm.php?id='.$admin['id'].'">'.esc(trim(stripcslashes(htmlspecialchars($admin['name'])))).'</a><br/>';
	}else{
		echo 'Не имеет собственного сообщества.<br/>';
		}


if($k_page>1){
	str('user.php?id='.$id,$k_page,$page);
	}

echo '&#187;&nbsp;<a href="/info.php?id='.$id.'">Вернуться в анкету</a><br/>';
}

echo '</div>';
include_once '../sys/inc/tfoot.php';
?>